CHPASSWD(8)

NAME
chpasswd - update passwords in batch mode

SYNOPSIS

chpasswd [options]

DESCRIPTION

chpasswd reads a list of user name and password pairs from standard input and uses this information to update a group of existing users. Each line is of the format:

user_name:password

By default the supplied password must be in clear-text. Default encryption algorithm is DES. Also the password age will be updated, if present.

This command is intended to be used in a large system environment where many accounts are created at a single time.

OPTIONS

The options which apply to the chpasswd command are:

-e, --encrypted
    Supplied passwords are in encrypted form.

-h, --help
    Display help message and exit.

-m, --md5
    Use MD5 encryption instead DES when the supplied passwords are not encrypted.

CAVEATS

Remember to set permissions or umask to prevent readability of unencrypted files by other users.

SEE ALSO

passwd(1), newusers(8), useradd(8).